image: $CI_REGISTRY_IMAGE/docker-compose:1.23.2

services:
  - name: docker:18.09.3-dind
    alias: docker

variables:
  DOCKER_DRIVER: overlay2
  DOCKER_HOST: tcp://docker:2375

  PHP_IMAGE: ${CI_REGISTRY_IMAGE}/php
  PHP_BASE_TAG: 7.3.6-1
  NGINX_IMAGE: ${CI_REGISTRY_IMAGE}/nginx
  NGINX_BASE_TAG: 1.17.0

before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY_IMAGE
  - cp docker-compose.override.gitlab.yml docker-compose.override.yml

stages:
  - Test
  - Build
  - Deploy
  - Stop

.prod_branches:
  only:
    - master
    - /^hotfix-.*$/

.staging_branches:
  only:
    - develop

.review_branches:
  only:
    refs:
      - branches
  except:
    - master
    - /^hotfix-.*$/
    - develop

include:
  - local: ci/build-docker.yml
  - local: ci/deploy.yml
  - local: ci/review.yml
